package config

import (
	"net"
)

const (
	MdnsIPv4 = "224.0.0.251"
	MdnsIPv6 = "ff02::fb"
	MdnsPort = 5353

	ForceUnicast = false

	DefaultTTL = 120

	BufSize         = 65536
	BufReadDeadline = 2
)

var (
	MdnsIPv4Addr = &net.UDPAddr{
		IP:   net.ParseIP(MdnsIPv4),
		Port: MdnsPort,
	}
	MdnsIPv6Addr = &net.UDPAddr{
		IP:   net.ParseIP(MdnsIPv6),
		Port: MdnsPort,
	}
)
